# ============================================================
# Pasaulio tendencijų rinkimo sistemos konfigūracija
# ============================================================

database:
  host: "galapag.com"
  port: 3306
  user: "hosting"
  password: "hosting444-"            # PAKEISTI! arba naudoti $TRENDS_DB_PASS env. kintamąjį
  database: "hosting_galapag_data"
  charset: "utf8mb4"
  pool_size: 5
  pool_recycle: 1800

logging:
  level: "INFO"                 # DEBUG|INFO|WARNING|ERROR
  file: "logs/trends.log"
  rotate_mb: 50
  backup_count: 5

# API raktai (jei tuščia – atitinkamas kolektorius nedirbs)
api_keys:
  newsapi: ""                   # https://newsapi.org/  (nemokama: 100 užkl./d.)
  gnews:   ""                   # https://gnews.io/     (nemokama: 100 užkl./d.)
  mediastack: ""                # https://mediastack.com/
  # Reddit – jei norite naudoti PRAW, kitaip krausime per public .json
  reddit_client_id: ""
  reddit_client_secret: ""
  reddit_user_agent: "trends_collector/0.1 (by u/anon)"

http:
  user_agent: "trends_collector/0.1 (+https://example.com/contact)"
  timeout: 20
  retries: 3
  backoff_factor: 1.5
  default_sleep_between_requests: 1.5   # sekundėmis

# Šalys, kurias renkame.
# Galimos reikšmės:
#   - "ALL"                                    – visos įjungtos countries lentelėje
#   - sąrašas ISO 3166-1 alpha-2 kodų          – pvz. ["LT","LV","EE","US","JP"]
countries:
  - "LT"
  - "LV"
  - "EE"
  - "US"
  - "JP"

# Kolektorių įjungimas/išjungimas
collectors:
  google_trends:
    enabled: true
    interval_minutes_realtime: 30
    interval_minutes_daily: 720       # 2x per parą
  reddit:
    enabled: true
    interval_minutes: 60
    limit_per_subreddit: 25
  rss:
    enabled: true
    interval_minutes: 30
  gdelt:
    enabled: true
    interval_minutes: 60
  wikipedia:
    enabled: true
    interval_minutes: 360
  newsapi:
    enabled: false                    # įjungti, jei yra raktas
    interval_minutes: 120
  gnews:
    enabled: false
    interval_minutes: 120

processing:
  enable_sentiment: true
  enable_dedup: true
  dedup_similarity_threshold: 0.86    # 0..1, kuo didesnis – griežčiau
  enable_auto_category: true

export:
  enabled: true
  formats: ["json", "csv"]
  directory: "exports"
  interval_minutes: 60

dashboard:
  host: "0.0.0.0"
  port: 8080
